Package org.apache.sling.feature

# Class Extensions

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractList<E>
java.util.ArrayList<Extension>
org.apache.sling.feature.Extensions

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<Extension>`, `Collection<Extension>`, `List<Extension>`, `RandomAccess`

public class Extensions extends ArrayList<Extension>
A container for extensions This class is not thread-safe.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

## Constructor Summary

Constructors
Constructor
Description
`Extensions()`

## Method Summary

Modifier and Type
Method
Description
`Extension`
`getByName(String name)`
Get an extension by name

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractList

`equals, hashCode`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, stream`

### Methods inherited from interface java.util.List

`containsAll, equals, hashCode`

## Constructor Details

### Extensions

public Extensions()

## Method Details

### getByName

public Extension getByName(String name)
Get an extension by name

Parameters:
  `name` - The name
Returns:
  The `Extension` or `null`